Bug 1782317 - python-keyring-21.0.0 is available
Summary: python-keyring-21.0.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-keyring
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1789970
TreeView+ depends on / blocked
 
Reported: 2019-12-11 14:18 UTC by Upstream Release Monitoring
Modified: 2020-01-14 01:16 UTC (History)
7 users (show)

Fixed In Version: python-keyring-21.0.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-14 01:16:21 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 21.0.0 (#1782317) (1.10 KB, patch)
2019-12-24 23:43 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-12-11 14:18:50 UTC
Latest upstream release: 20.0.0
Current version/release in rawhide: 19.2.0-1.fc32
URL: https://github.com/jaraco/keyring

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3901/

Comment 1 Upstream Release Monitoring 2019-12-11 14:18:54 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 2 Upstream Release Monitoring 2019-12-24 23:43:41 UTC
Latest upstream release: 21.0.0
Current version/release in rawhide: 19.3.0-2.fc32
URL: https://github.com/jaraco/keyring

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3901/

Comment 3 Upstream Release Monitoring 2019-12-24 23:43:44 UTC
Created attachment 1647567 [details]
[patch] Update to 21.0.0 (#1782317)

Comment 4 Fabio Valentini 2020-01-10 23:07:36 UTC
I need keyring >= 20.0.1 for a poetry update, can you please look into updating this package?
fedora rawhide and 31 would be great ...

Comment 5 Christopher Tubbs 2020-01-10 23:47:18 UTC
It doesn't look like there were any significant changes since 19.3.0 (dropped Python2 support, updated change log, moved some test code around, updated some exception messages, but that seems to be it). I can update F31 and rawhide to 21.0.0.

Comment 6 Fabio Valentini 2020-01-11 00:01:34 UTC
Awesome, thanks!

If you want, I can review the changes if you submit your changes as a PR.

Comment 7 Christopher Tubbs 2020-01-11 00:05:14 UTC
Already finished before I saw your message. :)

Comment 8 Fedora Update System 2020-01-11 01:25:21 UTC
python-keyring-21.0.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d264ddc393

Comment 9 Fedora Update System 2020-01-14 01:16:21 UTC
python-keyring-21.0.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.